Bug 1389820 - [RFE] Find feature for provisioning template editing
Summary: [RFE] Find feature for provisioning template editing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.2.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: 6.4.0
Assignee: Sebastian Gräßl
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 18:40 UTC by jpisciot
Modified: 2019-11-05 23:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot of search box (243.14 KB, image/png)
2018-08-01 19:35 UTC, Perry Gagne
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 20573 None None None 2017-08-13 21:16:14 UTC

Description jpisciot 2016-10-28 18:40:12 UTC
Proposed title of this feature request  

Find
      
Who is the customer behind the request?  

UBS
      
What is the nature and description of the request?  

Foreman provisioning profiles text editor should have a find option. The web browser find does not work to search the code area.

Why does the customer need this? (List the business requirements here)  

 A search enabled text editor is very desirable for clients that heavily use provisioning templates to customize builds.

Comment 1 Tomas Strachota 2017-08-13 21:16:11 UTC
Created redmine issue http://projects.theforeman.org/issues/20573 from this bug

Comment 2 Tomas Strachota 2017-08-13 21:18:24 UTC
Reproducer steps:
- open a detail page of a provisioning template
- click on the editor textarea (to make sure it gets focus)
- press Ctrl+F

Current results:
Nothing happens.

Expected results:
It should open a searchbox within the template editor.


Note that as a workaround you can currently click somewhere outside of the textarea and press Ctrl+F afterwards, which should trigger the default browser search.

Comment 3 pm-sat@redhat.com 2017-08-21 12:07:20 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 4 pm-sat@redhat.com 2017-08-21 12:07:24 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 5 pm-sat@redhat.com 2017-08-22 12:07:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20573 has been resolved.

Comment 6 Perry Gagne 2018-08-01 19:34:51 UTC
Verified fix in sat 6.4 snap 15. When your click into the text box and press Ctrl-F (of Cmd-F on Mac) it brings up ACE editors integrated search function. See attached screen shot

Comment 7 Perry Gagne 2018-08-01 19:35:28 UTC
Created attachment 1472196 [details]
screen shot of search box

Comment 9 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.